Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.validation.impl
Class JavaScriptValidatorBuilder

    java.lang.Object
      org.apache.cocoon.forms.validation.impl.JavaScriptValidatorBuilder

All Implemented Interfaces:
  WidgetValidatorBuilder

public class JavaScriptValidatorBuilder
extends Object
implements WidgetValidatorBuilder

Builds a JavaScript validator.

Version:
  $Id: JavaScriptValidatorBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  `JavaScriptValidator`

Field Summary

Fields inherited from interface org.apache.cocoon.forms.validation.WidgetValidatorBuilder
`ROLE`

Constructor Summary
`JavaScriptValidatorBuilder()`

Method Summary
`WidgetValidator` | `build(Element element, WidgetDefinition definition)` Builds a `WidgetValidator` for a particular widget definition.
`void` | `setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptValidatorBuilder

    public JavaScriptValidatorBuilder()

Method Detail

### build

    public WidgetValidator build(Element element,
                                 WidgetDefinition definition)
                          throws Exception

  Description copied from interface: `WidgetValidatorBuilder`
  Builds a `WidgetValidator` for a particular widget definition.

  Specified by:
    `build` in interface `WidgetValidatorBuilder`
  Parameters:
    `element` - the DOM element defining the validator
    `definition` - the widget definition the validator will have to validate. This may be used to check applicability of the validator to the widget.
  Returns:
    A `WidgetValidator`
  Throws:
    `Exception` - if some problem occurs

### setProcessInfoProvider

    public void setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.